## plink 0.0-0

=== DESCRIPTION ===
Package: plink
Version: 0.0-0
Date: 2007-08-30
Title: Separate Calibration Linking Methods
Depends: R (>= 2.4.1), methods, lattice
Author: Jonathan Weeks <weeksjp@gmail.com>
Maintainer: Jonathan Weeks <weeksjp@gmail.com>
Description: This package uses unidimensional item response theory methods to compute linking 
    constants and conduct chain linking of tests for multiple groups under a nonequivalent groups 
    common item design.  It allows for mean/mean, mean/sigma, Haebara, and Stocking-Lord calibrations 
    of single-format or mixed-format dichotomous (1PL, 2PL, and 3PL) and polytomous (graded response
    partial credit/generalized partial credit, nominal, and multiple-choice model) common items. 
LazyLoad: Yes
LazyData: Yes
License: GPL version 2 or newer
Packaged: Tue Sep  4 02:09:14 2007; Jonathan Weeks

## plink 0.0-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: plink
-Version: 0.0-0
-Date: 2007-08-30
-Title: Separate Calibration Linking Methods
+Version: 0.0-1
+Date: 2007-09-13
+Title: IRT Separate Calibration Linking Methods
 Depends: R (>= 2.4.1), methods, lattice
 Author: Jonathan Weeks <weeksjp@gmail.com>
 Maintainer: Jonathan Weeks <weeksjp@gmail.com>
@@ -13,4 +13,4 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL version 2 or newer
-Packaged: Tue Sep  4 02:09:14 2007; Jonathan Weeks
+Packaged: Thu Sep 13 05:49:11 2007; Jonathan Weeks

## plink 0.0-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: plink
-Version: 0.0-1
+Version: 0.0-2
 Date: 2007-09-13
 Title: IRT Separate Calibration Linking Methods
 Depends: R (>= 2.4.1), methods, lattice
@@ -13,4 +13,4 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL version 2 or newer
-Packaged: Thu Sep 13 05:49:11 2007; Jonathan Weeks
+Packaged: Wed Sep 19 14:48:24 2007; Jonathan Weeks

## plink 0.0-3

=== DESCRIPTION ===
Package: plink
Version: 0.0-3
Date: 2007-11-28
Title: Separate Calibration Linking Methods
Depends: R (>= 2.4.1), methods, lattice
Author: Jonathan Weeks <weeksjp@gmail.com>
Maintainer: Jonathan Weeks <weeksjp@gmail.com>
Description: This package uses item response theory methods to compute linking constants and conduct
	chain linking of tests for multiple groups under a nonequivalent groups common item design. 
	It allows for mean/mean, mean/sigma, Haebara, and Stocking-Lord calibrations of dichotomous 
	(1PL, 2PL, and 3PL) and/or polytomous (graded response, partial credit/generalized partial
	credit, nominal, and multiple-choice model) common items. 
LazyLoad: Yes
LazyData: Yes
License: GPL (>= 2)
Packaged: Sun Dec  2 11:36:20 2007; Jonathan Weeks

## plink 0.0-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: plink
-Version: 0.0-3
-Date: 2007-11-28
+Version: 0.0-4
+Date: 2007-12-04
 Title: Separate Calibration Linking Methods
-Depends: R (>= 2.4.1), methods, lattice
+Depends: R (>= 2.6.1), methods, lattice
 Author: Jonathan Weeks <weeksjp@gmail.com>
 Maintainer: Jonathan Weeks <weeksjp@gmail.com>
 Description: This package uses item response theory methods to compute linking constants and conduct
@@ -13,4 +13,4 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: Sun Dec  2 11:36:20 2007; Jonathan Weeks
+Packaged: Tue Dec  4 02:41:50 2007; Jonathan Weeks

## plink 0.0-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: plink
-Version: 0.0-4
-Date: 2007-12-04
-Title: Separate Calibration Linking Methods
-Depends: R (>= 2.6.1), methods, lattice
+Version: 0.0-5
+Date: 2008-09-06
+Title: IRT Separate Calibration Linking Methods
+Depends: R (>= 2.7.2), methods, lattice
 Author: Jonathan Weeks <weeksjp@gmail.com>
 Maintainer: Jonathan Weeks <weeksjp@gmail.com>
 Description: This package uses item response theory methods to compute linking constants and conduct
@@ -13,4 +13,4 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: Tue Dec  4 02:41:50 2007; Jonathan Weeks
+Packaged: Sun Sep  7 16:45:01 2008; Jonathan Weeks

## plink 0.0-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: plink
-Version: 0.0-5
-Date: 2008-09-06
+Version: 0.0-6
+Date: 2008-09-10
 Title: IRT Separate Calibration Linking Methods
-Depends: R (>= 2.7.2), methods, lattice
+Depends: R (>= 2.7.2), methods, statmod, lattice
 Author: Jonathan Weeks <weeksjp@gmail.com>
 Maintainer: Jonathan Weeks <weeksjp@gmail.com>
 Description: This package uses item response theory methods to compute linking constants and conduct
@@ -13,4 +13,4 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: Sun Sep  7 16:45:01 2008; Jonathan Weeks
+Packaged: Wed Sep 10 05:17:16 2008; Jonathan Weeks

## plink 0.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plink
-Version: 0.0-6
-Date: 2008-09-10
+Version: 0.1-0
+Date: 2008-09-26
 Title: IRT Separate Calibration Linking Methods
 Depends: R (>= 2.7.2), methods, statmod, lattice
 Author: Jonathan Weeks <weeksjp@gmail.com>
@@ -13,4 +13,4 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: Wed Sep 10 05:17:16 2008; Jonathan Weeks
+Packaged: Fri Sep 26 09:02:17 2008; Jonathan Weeks

## plink 0.1-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plink
-Version: 0.1-0
-Date: 2008-09-26
+Version: 0.1-1
+Date: 2009-01-26
 Title: IRT Separate Calibration Linking Methods
 Depends: R (>= 2.7.2), methods, statmod, lattice
 Author: Jonathan Weeks <weeksjp@gmail.com>
@@ -13,4 +13,4 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: Fri Sep 26 09:02:17 2008; Jonathan Weeks
+Packaged: Mon Jan 26 12:53:47 2009; Jonathan Weeks

## plink 1.0.0

=== DESCRIPTION ===
Package: plink
Version: 1.0.0
Date: 2009-04-10
Title: IRT Separate Calibration Linking Methods
Depends: R (>= 2.7.2), methods, statmod, lattice, MASS
Author: Jonathan P. Weeks <weeksjp@gmail.com>
Maintainer: Jonathan P. Weeks <weeksjp@gmail.com>
Description: This package uses item response theory methods to compute
        linking constants and conduct chain linking of unidimensional
        or multidimensional tests for multiple groups under a
        nonequivalent groups common item design.  The unidimensional
        methods include the Mean/Mean, Mean/Sigma, Haebara, and
        Stocking-Lord methods for dichotomous (1PL, 2PL and 3PL) and/or
        polytomous (graded response, partial credit/generalized partial
        credit, nominal, and multiple-choice model) items.  The
        multidimensional methods include the Reckase-Martineau method
        and extensions of the Haebara and Stocking-Lord method using a
        single dilation parameter, multiple dilation parameters, or the
        Oshima, Davey, & Lee approach for multidimensional extensions
        of all the unidimensional dichotomous and polytomous item
        response models.  The package also includes functions for
        importing item and/or ability parameters from common IRT
        software and ploting item characteristic/category curves or
        surfaces and vector plots.
LazyLoad: Yes
LazyData: Yes
License: GPL (>= 2)
Packaged: 2009-04-19 14:53:43 UTC; Jonathan Weeks
Repository: CRAN
Date/Publication: 2009-04-19 18:08:01

## plink 1.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: plink
-Version: 1.0.0
-Date: 2009-04-10
+Version: 1.1-0
+Date: 2009-05-14
 Title: IRT Separate Calibration Linking Methods
-Depends: R (>= 2.7.2), methods, statmod, lattice, MASS
+Depends: R (>= 2.9), methods, statmod, lattice, MASS
 Author: Jonathan P. Weeks <weeksjp@gmail.com>
 Maintainer: Jonathan P. Weeks <weeksjp@gmail.com>
 Description: This package uses item response theory methods to compute
@@ -25,6 +25,6 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2009-04-19 14:53:43 UTC; Jonathan Weeks
+Packaged: 2009-05-14 14:42:32 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2009-04-19 18:08:01
+Date/Publication: 2009-05-15 11:27:00

## plink 1.1-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: plink
-Version: 1.1-0
+Version: 1.1-1
 Date: 2009-05-14
 Title: IRT Separate Calibration Linking Methods
 Depends: R (>= 2.9), methods, statmod, lattice, MASS
@@ -25,6 +25,6 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2009-05-14 14:42:32 UTC; Jonathan Weeks
+Packaged: 2009-05-27 15:14:27 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2009-05-15 11:27:00
+Date/Publication: 2009-05-28 07:13:09

## plink 1.1-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plink
-Version: 1.1-1
-Date: 2009-05-14
+Version: 1.1-2
+Date: 2009-06-01
 Title: IRT Separate Calibration Linking Methods
 Depends: R (>= 2.9), methods, statmod, lattice, MASS
 Author: Jonathan P. Weeks <weeksjp@gmail.com>
@@ -25,6 +25,6 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2009-05-27 15:14:27 UTC; Jonathan Weeks
+Packaged: 2009-06-02 04:43:05 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2009-05-28 07:13:09
+Date/Publication: 2009-06-02 17:29:24

## plink 1.1-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plink
-Version: 1.1-2
-Date: 2009-06-01
+Version: 1.1-3
+Date: 2009-06-11
 Title: IRT Separate Calibration Linking Methods
 Depends: R (>= 2.9), methods, statmod, lattice, MASS
 Author: Jonathan P. Weeks <weeksjp@gmail.com>
@@ -25,6 +25,6 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2009-06-02 04:43:05 UTC; Jonathan Weeks
+Packaged: 2009-06-11 16:57:07 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2009-06-02 17:29:24
+Date/Publication: 2009-06-14 19:12:18

## plink 1.1-4

=== DESCRIPTION ===
Package: plink
Version: 1.1-4
Date: 2009-06-18
Title: IRT Separate Calibration Linking Methods
Depends: R (>= 2.9), methods, statmod, lattice, MASS
Author: Jonathan P. Weeks <weeksjp@gmail.com>
Maintainer: Jonathan P. Weeks <weeksjp@gmail.com>
Description: This package uses item response theory methods to compute
        linking constants and conduct chain linking of unidimensional
        or multidimensional tests for multiple groups under a common
        item design.  The unidimensional methods include the Mean/Mean,
        Mean/Sigma, Haebara, and Stocking-Lord methods for dichotomous
        (1PL, 2PL and 3PL) and/or polytomous (graded response, partial
        credit/generalized partial credit, nominal, and multiple-choice
        model) items.  The multidimensional methods include the
        Reckase-Martineau method and extensions of the Haebara and
        Stocking-Lord method using a single dilation parameter,
        multiple dilation parameters, or the Oshima, Davey, & Lee
        approach for multidimensional extensions of all the
        unidimensional dichotomous and polytomous item response models.
        The package also includes functions for importing item and/or
        ability parameters from common IRT software and ploting item
        characteristic/category curves or surfaces and vector plots.
LazyLoad: Yes
LazyData: Yes
License: GPL (>= 2)
Packaged: 2009-06-19 15:46:14 UTC; Jonathan Weeks
Repository: CRAN
Date/Publication: 2009-06-19 16:39:13

## plink 1.1-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: plink
-Version: 1.1-4
-Date: 2009-06-18
+Version: 1.1-5
+Date: 2009-07-24
 Title: IRT Separate Calibration Linking Methods
-Depends: R (>= 2.9), methods, statmod, lattice, MASS
+Depends: R (>= 2.9.0), methods, statmod, lattice, MASS
 Author: Jonathan P. Weeks <weeksjp@gmail.com>
 Maintainer: Jonathan P. Weeks <weeksjp@gmail.com>
 Description: This package uses item response theory methods to compute
@@ -20,10 +20,11 @@
         unidimensional dichotomous and polytomous item response models.
         The package also includes functions for importing item and/or
         ability parameters from common IRT software and ploting item
-        characteristic/category curves or surfaces and vector plots.
+        characteristic/category curves or surfaces, vector plots, and
+        comparison plots for examining parameter drift.
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2009-06-19 15:46:14 UTC; Jonathan Weeks
+Packaged: 2009-07-24 22:38:43 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2009-06-19 16:39:13
+Date/Publication: 2009-07-26 18:33:19

## plink 1.1-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plink
-Version: 1.1-5
-Date: 2009-07-24
+Version: 1.1-6
+Date: 2009-08-06
 Title: IRT Separate Calibration Linking Methods
 Depends: R (>= 2.9.0), methods, statmod, lattice, MASS
 Author: Jonathan P. Weeks <weeksjp@gmail.com>
@@ -25,6 +25,6 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2009-07-24 22:38:43 UTC; Jonathan Weeks
+Packaged: 2009-08-07 06:07:48 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2009-07-26 18:33:19
+Date/Publication: 2009-08-07 10:55:09

## plink 1.2-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: plink
-Version: 1.1-6
-Date: 2009-08-06
+Version: 1.2-0
+Date: 2009-08-16
 Title: IRT Separate Calibration Linking Methods
-Depends: R (>= 2.9.0), methods, statmod, lattice, MASS
+Depends: R (>= 2.9.1), methods, statmod, lattice, MASS
 Author: Jonathan P. Weeks <weeksjp@gmail.com>
 Maintainer: Jonathan P. Weeks <weeksjp@gmail.com>
 Description: This package uses item response theory methods to compute
@@ -19,12 +19,13 @@
         approach for multidimensional extensions of all the
         unidimensional dichotomous and polytomous item response models.
         The package also includes functions for importing item and/or
-        ability parameters from common IRT software and ploting item
-        characteristic/category curves or surfaces, vector plots, and
-        comparison plots for examining parameter drift.
+        ability parameters from common IRT software, conducting IRT
+        true score and observed score equating, and ploting item
+        response curves/surfaces, vector plots, and comparison plots
+        for examining parameter drift.
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2009-08-07 06:07:48 UTC; Jonathan Weeks
+Packaged: 2009-08-17 07:50:04 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2009-08-07 10:55:09
+Date/Publication: 2009-08-19 08:15:27

## plink 1.2-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: plink
-Version: 1.2-0
-Date: 2009-08-16
+Version: 1.2-1
+Date: 2009-09-28
 Title: IRT Separate Calibration Linking Methods
-Depends: R (>= 2.9.1), methods, statmod, lattice, MASS
+Depends: R (>= 2.9.2), methods, statmod, lattice, MASS
 Author: Jonathan P. Weeks <weeksjp@gmail.com>
 Maintainer: Jonathan P. Weeks <weeksjp@gmail.com>
 Description: This package uses item response theory methods to compute
@@ -26,6 +26,6 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2009-08-17 07:50:04 UTC; Jonathan Weeks
+Packaged: 2009-09-28 20:03:59 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2009-08-19 08:15:27
+Date/Publication: 2009-09-29 18:49:29

## plink 1.2-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plink
-Version: 1.2-1
-Date: 2009-09-28
+Version: 1.2-2
+Date: 2009-10-23
 Title: IRT Separate Calibration Linking Methods
 Depends: R (>= 2.9.2), methods, statmod, lattice, MASS
 Author: Jonathan P. Weeks <weeksjp@gmail.com>
@@ -20,12 +20,12 @@
         unidimensional dichotomous and polytomous item response models.
         The package also includes functions for importing item and/or
         ability parameters from common IRT software, conducting IRT
-        true score and observed score equating, and ploting item
+        true score and observed score equating, and plotting item
         response curves/surfaces, vector plots, and comparison plots
         for examining parameter drift.
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2009-09-28 20:03:59 UTC; Jonathan Weeks
+Packaged: 2009-10-23 15:44:30 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2009-09-29 18:49:29
+Date/Publication: 2009-10-23 18:07:32

## plink 1.2-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Package: plink
-Version: 1.2-2
-Date: 2009-10-23
+Version: 1.2-3
+Date: 2010-04-19
 Title: IRT Separate Calibration Linking Methods
-Depends: R (>= 2.9.2), methods, statmod, lattice, MASS
+Depends: R (>= 2.10.1), methods, lattice
+Imports: MASS, statmod
 Author: Jonathan P. Weeks <weeksjp@gmail.com>
 Maintainer: Jonathan P. Weeks <weeksjp@gmail.com>
 Description: This package uses item response theory methods to compute
@@ -26,6 +27,6 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2009-10-23 15:44:30 UTC; Jonathan Weeks
+Packaged: 2010-04-19 14:55:15 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2009-10-23 18:07:32
+Date/Publication: 2010-04-19 17:46:56

## plink 1.2-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plink
-Version: 1.2-3
-Date: 2010-04-19
+Version: 1.2-4
+Date: 2010-07-26
 Title: IRT Separate Calibration Linking Methods
 Depends: R (>= 2.10.1), methods, lattice
 Imports: MASS, statmod
@@ -27,6 +27,6 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2010-04-19 14:55:15 UTC; Jonathan Weeks
+Packaged: 2010-07-26 17:21:36 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2010-04-19 17:46:56
+Date/Publication: 2010-07-26 22:50:08

## plink 1.2-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: plink
-Version: 1.2-4
-Date: 2010-07-26
+Version: 1.2-5
+Date: 2010-08-12
 Title: IRT Separate Calibration Linking Methods
-Depends: R (>= 2.10.1), methods, lattice
+Depends: R (>= 2.11.1), methods, lattice
 Imports: MASS, statmod
 Author: Jonathan P. Weeks <weeksjp@gmail.com>
 Maintainer: Jonathan P. Weeks <weeksjp@gmail.com>
@@ -27,6 +27,6 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2010-07-26 17:21:36 UTC; Jonathan Weeks
+Packaged: 2010-08-12 17:17:51 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2010-07-26 22:50:08
+Date/Publication: 2010-08-13 18:31:11

## plink 1.2-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plink
-Version: 1.2-5
-Date: 2010-08-12
+Version: 1.2-6
+Date: 2010-09-15
 Title: IRT Separate Calibration Linking Methods
 Depends: R (>= 2.11.1), methods, lattice
 Imports: MASS, statmod
@@ -27,6 +27,6 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2010-08-12 17:17:51 UTC; Jonathan Weeks
+Packaged: 2010-09-15 11:07:07 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2010-08-13 18:31:11
+Date/Publication: 2010-09-15 12:06:16

## plink 1.2-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plink
-Version: 1.2-6
-Date: 2010-09-15
+Version: 1.2-7
+Date: 2010-10-19
 Title: IRT Separate Calibration Linking Methods
 Depends: R (>= 2.11.1), methods, lattice
 Imports: MASS, statmod
@@ -27,6 +27,6 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2010-09-15 11:07:07 UTC; Jonathan Weeks
+Packaged: 2010-10-19 14:09:21 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2010-09-15 12:06:16
+Date/Publication: 2010-10-19 16:30:10

## plink 1.03p1

=== Makefile ===
# -----------------------------------------------------------------
#   Makefile for PLINK 
#   
#   Supported platforms
#       Unix / Linux                UNIX
#       Windows                     WIN
#       Mac                         MAC
#       Solaris                     SOLARIS
#  
#   Compilation options
#       R plugins                   WITH_R_PLUGINS
#       Web-based version check     WITH_WEBCHECK
#       Ensure 32-bit binary        FORCE_32BIT 
#
# ---------------------------------------------------------------------

# Set this variable to either UNIX, MAC or WIN
SYS = UNIX

# Leave blank after "=" to disable; put "= 1" to enable
WITH_R_PLUGINS = 
WITH_WEBCHECK = 1
FORCE_32BIT = 

# Put C++ compiler here; Windows has it's own specific version
CXX_UNIX = g++
CXX_WIN = c:\bin\mingw\bin\mingw32-g++.exe

# Any other compiler flags here ( -Wall, -g, etc)
CXXFLAGS = 

# --------------------------------------------------------------------
# Do not edit below this line
# --------------------------------------------------------------------

CXXFLAGS += -O3 -I.
OUTPUT = plink

# Some system specific flags

ifeq ($(SYS),WIN)
 CXXFLAGS += -DWIN -static
 CXX = $(CXX_WIN)
endif

ifeq ($(SYS),UNIX)
 CXXFLAGS += -DUNIX -static
 CXX = $(CXX_UNIX)
endif

ifeq ($(SYS),MAC)
 CXXFLAGS += -DUNIX -Dfopen64=fopen
 CXX = $(CXX_UNIX)
endif

ifeq ($(SYS),SOLARIS)
 CXX = $(CXX_UNIX)
endif

ifdef FORCE_32BIT
 CXXFLAGS += -m32
endif

# Flags for web-based version check

ifdef WITH_WEBCHECK
ifeq ($(SYS),WIN)
 LIB += -lwsock32
endif
else
 CXXFLAGS += -DSKIP
endif



SRC = plink.cpp options.cpp input.cpp binput.cpp tinput.cpp genome.cpp	\
helper.cpp stats.cpp filters.cpp locus.cpp multi.cpp crandom.cpp	\
cluster.cpp mds.cpp output.cpp informative.cpp assoc.cpp epi.cpp	\
prephap.cpp phase.cpp trio.cpp tdt.cpp sharing.cpp genepi.cpp sets.cpp	\
perm.cpp mh.cpp genedrop.cpp gxe.cpp merge.cpp hotel.cpp multiple.cpp	\
haploCC.cpp haploTDT.cpp poo.cpp webcheck.cpp qfam.cpp linear.cpp	\
bmerge.cpp parse.cpp mishap.cpp legacy.cpp homozyg.cpp segment.cpp	\
model.cpp logistic.cpp glm.cpp dcdflib.cpp rarer.cpp dfam.cpp		\
fisher.cpp linput.cpp sockets.cpp lookup.cpp proxy.cpp pdriver.cpp	\
haploQTL.cpp haplohelper.cpp haplowindow.cpp genogroup.cpp		\
nonfounderphasing.cpp clumpld.cpp genoerr.cpp em.cpp impute.cpp		\
metaem.cpp profile.cpp nlist.cpp whap.cpp simul.cpp gvar.cpp cnv.cpp

HDR = plink.h options.h helper.h stats.h crandom.h sets.h phase.h	\
perm.h model.h linear.h logistic.h dcdflib.h ipmpar.h cdflib.h		\
fisher.h sockets.h haplowindow.h genogroup.h clumpld.h nlist.h whap.h	\
gvar.h cnv.h

ifdef WITH_R_PLUGINS
CXXFLAGS += -DWITH_R_PLUGINS
HDR += sisocks.h Rsrv.h Rconnection.h config.h
SRC += r.cpp Rconnection.cpp
LIB += -ldl -lcrypt
endif

OBJ = $(SRC:.cpp=.o)

all : $(OUTPUT) 

$(OUTPUT) :
	$(CXX) $(CXXFLAGS) -o $(OUTPUT) $(OBJ) $(LIB) 

$(OBJ) : $(HDR)

.cpp.o : 
	$(CXX) $(CXXFLAGS) -c $*.cpp
.SUFFIXES : .cpp .c .o $(SUFFIXES)

$(OUTPUT) : $(OBJ)

FORCE:

clean:
	rm -f *.o *~

## plink 1.3-0

=== DESCRIPTION ===
Package: plink
Version: 1.3-0
Date: 2011-02-11
Title: IRT Separate Calibration Linking Methods
Depends: R (>= 2.12.1), methods, lattice
Imports: MASS, statmod
Author: Jonathan P. Weeks <weeksjp@gmail.com>
Maintainer: Jonathan P. Weeks <weeksjp@gmail.com>
Description: This package uses item response theory methods to compute
        linking constants and conduct chain linking of unidimensional
        or multidimensional tests for multiple groups under a common
        item design.  The unidimensional methods include the Mean/Mean,
        Mean/Sigma, Haebara, and Stocking-Lord methods for dichotomous
        (1PL, 2PL and 3PL) and/or polytomous (graded response, partial
        credit/generalized partial credit, nominal, and multiple-choice
        model) items.  The multidimensional methods include the least
        squares method and extensions of the Haebara and Stocking-Lord
        method using a single dilation parameter, multiple dilation
        parameters, or the Oshima, Davey, & Lee approach for
        multidimensional extensions of all the unidimensional
        dichotomous and polytomous item response models.  The package
        also includes functions for importing item and/or ability
        parameters from common IRT software, conducting IRT true score
        and observed score equating, and plotting item response
        curves/surfaces, vector plots, and comparison plots for
        examining parameter drift.
LazyLoad: Yes
LazyData: Yes
License: GPL (>= 2)
Packaged: 2011-02-12 07:04:27 UTC; Jonathan Weeks
Repository: CRAN
Date/Publication: 2011-02-12 13:30:46

## plink 1.3-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: plink
-Version: 1.3-0
-Date: 2011-02-11
+Version: 1.3-1
+Date: 2011-07-25
 Title: IRT Separate Calibration Linking Methods
-Depends: R (>= 2.12.1), methods, lattice
+Depends: R (>= 2.13.1), methods, lattice
 Imports: MASS, statmod
 Author: Jonathan P. Weeks <weeksjp@gmail.com>
 Maintainer: Jonathan P. Weeks <weeksjp@gmail.com>
@@ -15,8 +15,7 @@
         credit/generalized partial credit, nominal, and multiple-choice
         model) items.  The multidimensional methods include the least
         squares method and extensions of the Haebara and Stocking-Lord
-        method using a single dilation parameter, multiple dilation
-        parameters, or the Oshima, Davey, & Lee approach for
+        method using single or multiple dilation parameters for
         multidimensional extensions of all the unidimensional
         dichotomous and polytomous item response models.  The package
         also includes functions for importing item and/or ability
@@ -27,6 +26,6 @@
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2011-02-12 07:04:27 UTC; Jonathan Weeks
+Packaged: 2011-07-25 13:40:13 UTC; Jonathan Weeks
 Repository: CRAN
-Date/Publication: 2011-02-12 13:30:46
+Date/Publication: 2011-07-25 20:06:35

## plink 1.5-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: plink
-Version: 1.3-1
-Date: 2011-07-25
+Version: 1.5-0
+Date: 2017-04-04
 Title: IRT Separate Calibration Linking Methods
-Depends: R (>= 2.13.1), methods, lattice
+Depends: R (>= 3.3.3), methods, lattice
 Imports: MASS, statmod
 Author: Jonathan P. Weeks <weeksjp@gmail.com>
 Maintainer: Jonathan P. Weeks <weeksjp@gmail.com>
-Description: This package uses item response theory methods to compute
+Description: Item response theory based methods are used to compute
         linking constants and conduct chain linking of unidimensional
         or multidimensional tests for multiple groups under a common
         item design.  The unidimensional methods include the Mean/Mean,
@@ -21,11 +21,12 @@
         also includes functions for importing item and/or ability
         parameters from common IRT software, conducting IRT true score
         and observed score equating, and plotting item response
-        curves/surfaces, vector plots, and comparison plots for
-        examining parameter drift.
+        curves/surfaces, vector plots, information plots, and comparison 
+        plots for examining parameter drift.
 LazyLoad: Yes
 LazyData: Yes
 License: GPL (>= 2)
-Packaged: 2011-07-25 13:40:13 UTC; Jonathan Weeks
+NeedsCompilation: no
+Packaged: 2017-04-07 14:33:11 UTC; Jonathan
 Repository: CRAN
-Date/Publication: 2011-07-25 20:06:35
+Date/Publication: 2017-04-07 17:05:38 UTC

## plink 1.5-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plink
-Version: 1.5-0
-Date: 2017-04-04
+Version: 1.5-1
+Date: 2017-04-26
 Title: IRT Separate Calibration Linking Methods
 Depends: R (>= 3.3.3), methods, lattice
 Imports: MASS, statmod
@@ -27,6 +27,6 @@
 LazyData: Yes
 License: GPL (>= 2)
 NeedsCompilation: no
-Packaged: 2017-04-07 14:33:11 UTC; Jonathan
+Packaged: 2017-04-26 11:36:15 UTC; Jonathan
 Repository: CRAN
-Date/Publication: 2017-04-07 17:05:38 UTC
+Date/Publication: 2017-04-26 16:36:59 UTC

## plink 1.06

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+
 # -----------------------------------------------------------------
 #   Makefile for PLINK 
 #   
@@ -11,6 +12,9 @@
 #       R plugins                   WITH_R_PLUGINS
 #       Web-based version check     WITH_WEBCHECK
 #       Ensure 32-bit binary        FORCE_32BIT 
+#       (Ignored)                   WITH_ZLIB
+#       Link to LAPACK              WITH_LAPACK
+#       Force dynamic linking       FORCE_DYNAMIC
 #
 # ---------------------------------------------------------------------
 
@@ -18,9 +22,12 @@
 SYS = UNIX
 
 # Leave blank after "=" to disable; put "= 1" to enable
-WITH_R_PLUGINS = 
+WITH_R_PLUGINS = 1
 WITH_WEBCHECK = 1
 FORCE_32BIT = 
+WITH_ZLIB = 
+WITH_LAPACK = 
+FORCE_DYNAMIC = 
 
 # Put C++ compiler here; Windows has it's own specific version
 CXX_UNIX = g++
@@ -28,6 +35,10 @@
 
 # Any other compiler flags here ( -Wall, -g, etc)
 CXXFLAGS = 
+
+# Misc
+LIB_LAPACK = /usr/lib/liblapack.so.3
+
 
 # --------------------------------------------------------------------
 # Do not edit below this line
@@ -41,11 +52,17 @@
 ifeq ($(SYS),WIN)
  CXXFLAGS += -DWIN -static
  CXX = $(CXX_WIN)
+ ifndef FORCE_DYNAMIC
+  CXXFLAGS += -static
+ endif
 endif
 
 ifeq ($(SYS),UNIX)
- CXXFLAGS += -DUNIX -static
+ CXXFLAGS += -DUNIX
  CXX = $(CXX_UNIX)
+ ifndef FORCE_DYNAMIC
+  CXXFLAGS += -static
+ endif
 endif
 
 ifeq ($(SYS),MAC)
@@ -60,6 +77,7 @@
 ifdef FORCE_32BIT
  CXXFLAGS += -m32
 endif
+
 
 # Flags for web-based version check
 
@@ -80,22 +98,42 @@
 perm.cpp mh.cpp genedrop.cpp gxe.cpp merge.cpp hotel.cpp multiple.cpp	\
 haploCC.cpp haploTDT.cpp poo.cpp webcheck.cpp qfam.cpp linear.cpp	\
 bmerge.cpp parse.cpp mishap.cpp legacy.cpp homozyg.cpp segment.cpp	\
-model.cpp logistic.cpp glm.cpp dcdflib.cpp rarer.cpp dfam.cpp		\
+model.cpp logistic.cpp glm.cpp dcdflib.cpp elf.cpp dfam.cpp		\
 fisher.cpp linput.cpp sockets.cpp lookup.cpp proxy.cpp pdriver.cpp	\
 haploQTL.cpp haplohelper.cpp haplowindow.cpp genogroup.cpp		\
 nonfounderphasing.cpp clumpld.cpp genoerr.cpp em.cpp impute.cpp		\
-metaem.cpp profile.cpp nlist.cpp whap.cpp simul.cpp gvar.cpp cnv.cpp
+metaem.cpp profile.cpp nlist.cpp whap.cpp simul.cpp gvar.cpp cnv.cpp	\
+step.cpp greport.cpp flip.cpp qualscores.cpp cnvqt.cpp cfamily.cpp	\
+setscreen.cpp idhelp.cpp tag.cpp hapglm.cpp lookup2.cpp blox.cpp
 
 HDR = plink.h options.h helper.h stats.h crandom.h sets.h phase.h	\
 perm.h model.h linear.h logistic.h dcdflib.h ipmpar.h cdflib.h		\
 fisher.h sockets.h haplowindow.h genogroup.h clumpld.h nlist.h whap.h	\
-gvar.h cnv.h
+gvar.h cnv.h cfamily.h idhelp.h
 
 ifdef WITH_R_PLUGINS
 CXXFLAGS += -DWITH_R_PLUGINS
 HDR += sisocks.h Rsrv.h Rconnection.h config.h
 SRC += r.cpp Rconnection.cpp
+ifeq ($(SYS),MAC)
+LIB += -ldl
+endif
+ifeq ($(SYS),UNIX)
 LIB += -ldl -lcrypt
+endif
+endif
+
+ifdef WITH_ZLIB
+CXXFLAGS += -DWITH_ZLIB
+HDR += easyzlib.h
+SRC += easyzlib.c
+endif
+
+ifdef WITH_LAPACK
+CXXFLAGS += -DWITH_LAPACK
+HDR += lapackf.h
+SRC += lapackf.cpp
+LIB += $(LIB_LAPACK) 
 endif
 
 OBJ = $(SRC:.cpp=.o)

## plink 1.07

=== debian/changelog ===
plink (1.07-7) unstable; urgency=medium

  * Add a patch to fix spelling errors
  * Install an upstream changelog
  * Standards-Version: 3.9.8 (no changes needed)
  * Use secure Vcs-Browser
  * Set all hardening options
  * Update uscan options

 -- Dylan Aïssi <bob.dybian@gmail.com>  Tue, 11 Oct 2016 22:20:19 +0200

plink (1.07-6) unstable; urgency=medium

  * Recommends: med-config (>= 2.1)
  * Update NEWS.Debian and install this file

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jul 2015 13:44:46 +0200

plink (1.07-5) experimental; urgency=medium

  * Also create a manpage in Debian Med name space

 -- Andreas Tille <tille@debian.org>  Sat, 31 Jan 2015 10:02:28 +0100

plink (1.07-4) experimental; urgency=low

  [ Andreas Tille ]
  * debian/copyright: - Add Files-Excluded to document what was removed
    from original source
  * debian/watch: Enable '+dfsg' suffix in Debian versions for future
    upstream version upgrades
  * debian/README.source: removed since redundant
  * debian/get-orig-source: removed since not needed any more

  [ Dylan Aïssi ]
  * Moved plink executable to usr/lib/debian-med/bin/plink (and symlinked
     old locations to this new location) in order to prepare cohabitation
    with plink1.9 and plink2; renamed manpage accordingly
    Added explicit hint in README.Debian how to proceed if you
    need the original name.
  * debian/control:
     - Standards-Version: 3.9.6 (no changes needed)
     - Fixed lintian vcs-field-not-canonical
  * debian/rules:
     - Activate hardening
     - Repack using uscan
  * debian/tests: Add autopkgtest

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 22 Jan 2015 08:00:59 +0100

plink (1.07-3) unstable; urgency=low

  * debian/patches/gcc-4.7.patch: previous patch was incomplete
    because the same problem occured in more files. Now really
    Closes: #667325

 -- Andreas Tille <tille@debian.org>  Mon, 23 Apr 2012 07:23:07 +0000

plink (1.07-2) unstable; urgency=low

  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs fields
     - Removed quilt from Build-Depends
  * debian/upstream: Added citation information
  * debian/source/format: 3.0 (quilt)
  * debian/get-orig-source: Better chances to get a unique upstream
    tarball after repackaging
  * debian/copyright: 
    - Rewritten to match DEP5 and verified using
       cme fix dpkg-copyright
    - Fix FSF address
  * debian/rules: Rewritten to use short dh
  * debian/patches/gcc-4.7.patch: Fix nested declaration
    Thanks for the hints on debian-mentors list to
    Rodolfo García Peñas <kix@kix.es>, Dmitry Nezhevenko <dion@inhex.net>,
    Fernando Lemos <fernandotcl@gmail.com
    Closes: 667325
  * Debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Apr 2012 18:55:34 +0200

plink (1.07-1) unstable; urgency=low

  * New upstream version
  * Removed debian/patches/20_plink-1.06-gcc4.4.patch because it
    is applied upstream
  * Standards-Version: 3.8.3 (no changes needed)
  * Debhelper 7
  * Build-Depends: zlib1g-dev

 -- Andreas Tille <tille@debian.org>  Fri, 23 Oct 2009 13:35:02 +0200

plink (1.06-4) unstable; urgency=low

  * debian/rules:
    - Add support for DEB_BUILD_OPTIONS (Policy § 4.9.1).
    - Set FORCE_DYNAMIC=1 instead of patching the Makefile
      (deleted debian/patches/dynamic.patch).
  * debian/control:
    - Added myself to the uploaders.
    - Incremented Standards-Version to reflect conformance with
      Policy 3.8.2 (no changes needed).
  * documented in README.source how to find help with quilt.

 -- Charles Plessy <plessy@debian.org>  Wed, 15 Jul 2009 08:08:15 +0900

plink (1.06-3) unstable; urgency=low

  * Now really applying the patch to fix 64bit problems
    which really
    Closes: #528659

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2009 08:11:21 +0200

plink (1.06-2) unstable; urgency=low

  * Fallback to endian.h if all else fails on 64bit machines
    (Thanks to Peter Green <plugwash@p10link.net> for the patch)
    Closes: #528659

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2009 21:19:32 +0200

plink (1.06-1) unstable; urgency=low

  * New upstream version
  * debian/get-orig-source
  * Standards-Version: 3.8.1 (no changes needed)
  * Moved plink executable to /usr/lib/plink and symlinked
    /usr/bin/p-link to this location; renamed manpage accordingly
    Added explicit hint in README.Debian how to proceed if you
    need the original name.
    Closes: #503367
  * debian/patches/20_plink-1.06-gcc4.4.patch: Patch to compile
    using gcc 4.4
  * debian/rules: Make sure example data files are not executable
  * debian/patches/dynamic.patch: do not link statically

 -- Andreas Tille <tille@debian.org>  Mon, 04 May 2009 10:17:04 +0200

plink (1.03p1-1) unstable; urgency=low

  * Initial release (Closes: #490832).

 -- Steffen Moeller <moeller@debian.org>  Sun, 24 Aug 2008 17:10:55 +0200

=== debian/control ===
Source: plink
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Dylan Aïssi <bob.dybian@gmail.com>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/plink/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/plink/trunk/
Homepage: http://pngu.mgh.harvard.edu/~purcell/plink/

Package: plink
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: med-config (>= 2.1)
Description: whole-genome association analysis toolset
 plink expects as input the data from SNP (single 
 nucleotide polymorphism) chips of many individuals
 and their phenotypical description of a disease.
 It finds associations of single or pairs of DNA
 variations with a phenotype and can retrieve 
 SNP annotation from an online source.
 .
 SNPs can evaluated individually or as pairs for their
 association with the disease phenotypes. The joint
 investigation of copy number variations is supported.
 A variety of statistical tests have been implemented.
 .
 Please note: The executable was renamed to plink1
 because of a name clash.  Please read more about this
 in /usr/share/doc/README.Debian.

=== debian/rules ===
#!/usr/bin/make -f

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS 2>/dev/null | sed -e 's/-O2//g')
CXXFLAGS += -DWITH_R_PLUGINS

# Activate hardening
CXXFLAGS += $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get LDFLAGS)

# This would be added by Upstream makefile, but we override CXXFLAGS…
CXXFLAGS += -DUNIX -O3

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f plink

override_dh_auto_build:
	$(MAKE) CXXFLAGS='$(CXXFLAGS)' FORCE_DYNAMIC=1

override_dh_installexamples:
	dh_installexamples
	chmod 644 debian/$(pkg)/usr/share/doc/$(pkg)/examples/*

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
    http://pngu.mgh.harvard.edu/~purcell/plink/dist/plink-(\d\S*)-src.zip

## plink 1.07+dfsg

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 WITH_R_PLUGINS = 1
 WITH_WEBCHECK = 1
 FORCE_32BIT = 
-WITH_ZLIB = 
+WITH_ZLIB = 1
 WITH_LAPACK = 
 FORCE_DYNAMIC = 
 
@@ -71,6 +71,13 @@
 endif
 
 ifeq ($(SYS),SOLARIS)
+ CXXFLAGS += -fast
+ CXXFLAGS += -xtarget=ultraT2  # specific Sun hardware (must be specified after the -fast option)
+ CXXFLAGS += -xdepend=no       # required to fix seg fault in iropt
+ LIB = -lstdc++
+ LIB += -lgcc
+ LIB += -lsocket         # added for socket support
+ LIB += -lnsl            # added for network services support
  CXX = $(CXX_UNIX)
 endif
 
@@ -98,18 +105,20 @@
 perm.cpp mh.cpp genedrop.cpp gxe.cpp merge.cpp hotel.cpp multiple.cpp	\
 haploCC.cpp haploTDT.cpp poo.cpp webcheck.cpp qfam.cpp linear.cpp	\
 bmerge.cpp parse.cpp mishap.cpp legacy.cpp homozyg.cpp segment.cpp	\
-model.cpp logistic.cpp glm.cpp dcdflib.cpp elf.cpp dfam.cpp		\
-fisher.cpp linput.cpp sockets.cpp lookup.cpp proxy.cpp pdriver.cpp	\
-haploQTL.cpp haplohelper.cpp haplowindow.cpp genogroup.cpp		\
-nonfounderphasing.cpp clumpld.cpp genoerr.cpp em.cpp impute.cpp		\
-metaem.cpp profile.cpp nlist.cpp whap.cpp simul.cpp gvar.cpp cnv.cpp	\
-step.cpp greport.cpp flip.cpp qualscores.cpp cnvqt.cpp cfamily.cpp	\
-setscreen.cpp idhelp.cpp tag.cpp hapglm.cpp lookup2.cpp blox.cpp
+model.cpp logistic.cpp glm.cpp dcdflib.cpp elf.cpp dfam.cpp fisher.cpp	\
+linput.cpp sockets.cpp lookup.cpp proxy.cpp pdriver.cpp haploQTL.cpp	\
+haplohelper.cpp haplowindow.cpp genogroup.cpp nonfounderphasing.cpp	\
+clumpld.cpp genoerr.cpp em.cpp impute.cpp metaem.cpp profile.cpp	\
+nlist.cpp whap.cpp simul.cpp gvar.cpp cnv.cpp step.cpp greport.cpp	\
+flip.cpp qualscores.cpp cnvqt.cpp cfamily.cpp setscreen.cpp idhelp.cpp	\
+tag.cpp hapglm.cpp lookup2.cpp blox.cpp zed.cpp dosage.cpp annot.cpp	\
+metaanal.cpp 
+
 
 HDR = plink.h options.h helper.h stats.h crandom.h sets.h phase.h	\
 perm.h model.h linear.h logistic.h dcdflib.h ipmpar.h cdflib.h		\
 fisher.h sockets.h haplowindow.h genogroup.h clumpld.h nlist.h whap.h	\
-gvar.h cnv.h cfamily.h idhelp.h
+gvar.h cnv.h cfamily.h idhelp.h zed.h 
 
 ifdef WITH_R_PLUGINS
 CXXFLAGS += -DWITH_R_PLUGINS
@@ -125,8 +134,9 @@
 
 ifdef WITH_ZLIB
 CXXFLAGS += -DWITH_ZLIB
-HDR += easyzlib.h
-SRC += easyzlib.c
+HDR += zfstream.h
+SRC += zfstream.cpp
+LIB += -lz
 endif
 
 ifdef WITH_LAPACK

=== debian/changelog ===
plink (1.07+dfsg-5) unstable; urgency=medium

  * Team upload.
  * d/watch: convert to v5 watch file.
  * d/control: build depends on libcrypt-dev.  (Closes: #1107047)
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/NEWS.Debian: drop outdated news item.
  * d/copyright: drop the old FSF address from legal blurb.
  * d/{copyright,patches/30_endiandetection.patch}:
    This change normalizes the dep3 header; statement of copyright
    attribution is transferred to the d/copyright file.
  * d/patches/*: normalize other dep3 headers.
  * d/docs: drop d/NEWS.Debian file.

 -- Étienne Mollier <emollier@debian.org>  Fri, 14 Nov 2025 11:19:20 +0100

plink (1.07+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with gcc-11 (Closes: #984293)
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Replace ADTTMP with AUTOPKGTEST_TMP
  * Add "Rules-Requires-Root: no"

 -- Nilesh Patra <nilesh@debian.org>  Sun, 31 Oct 2021 21:01:46 +0530

plink (1.07+dfsg-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #948133)

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jan 2020 08:27:40 +0100

plink (1.07+dfsg-2) unstable; urgency=medium

  * cme fix dpkg-control
    - Bump Standards-Version: 4.2.1.
    - Update VCS to salsa.
  * Bump debhelper 11.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 19 Sep 2018 08:03:29 +0200

plink (1.07+dfsg-1) unstable; urgency=medium

  * Properly repack source archive
    Closes: #883844
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Fri, 08 Dec 2017 11:15:55 +0100

plink (1.07-9) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Thu, 16 Nov 2017 13:52:40 +0100

plink (1.07-8) unstable; urgency=medium

  * Update upstream website.
  * Add OMICtools and RRID refs.
  * Standards-Version: 4.0.0 (no changes needed).
  * Bump debhelper 10.
  * Bump watch file v4.
  * Remove Testsuite field from d/control, now automatically add.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Mon, 24 Jul 2017 00:43:16 +0200

=== debian/control ===
Source: plink
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libcrypt-dev,
               zlib1g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/plink
Vcs-Git: https://salsa.debian.org/med-team/plink.git
Homepage: http://zzz.bwh.harvard.edu/plink/

Package: plink
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: med-config (>= 2.1)
Description: whole-genome association analysis toolset
 plink expects as input the data from SNP (single
 nucleotide polymorphism) chips of many individuals
 and their phenotypical description of a disease.
 It finds associations of single or pairs of DNA
 variations with a phenotype and can retrieve
 SNP annotation from an online source.
 .
 SNPs can evaluated individually or as pairs for their
 association with the disease phenotypes. The joint
 investigation of copy number variations is supported.
 A variety of statistical tests have been implemented.
 .
 Please note: The executable was renamed to plink1
 because of a name clash.  Please read more about this
 in /usr/share/doc/plink/README.Debian.

=== debian/watch ===
Version: 5

Source: https://zzz.bwh.harvard.edu/plink/dist/
Matching-Pattern: plink-(\d\S*)-src.zip
Compression: xz
Dversionmangle: auto
Repack: yes
Repacksuffix: +dfsg
